import request from '@/utils/request'

// 查询微信交换订单列表
export function listWxTransOrder(query) {
  return request({
    url: '/xq/wxTransOrder/list',
    method: 'get',
    params: query
  })
}

// 查询微信交换订单详细
export function getWxTransOrder(id) {
  return request({
    url: '/xq/wxTransOrder/' + id,
    method: 'get'
  })
}

// 新增微信交换订单
export function addWxTransOrder(data) {
  return request({
    url: '/xq/wxTransOrder',
    method: 'post',
    data: data
  })
}

// 修改微信交换订单
export function updateWxTransOrder(data) {
  return request({
    url: '/xq/wxTransOrder',
    method: 'put',
    data: data
  })
}

// 删除微信交换订单
export function delWxTransOrder(id) {
  return request({
    url: '/xq/wxTransOrder/' + id,
    method: 'delete'
  })
}
